> For the complete documentation index, see [llms.txt](https://docs.moropo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.moropo.com/creating-tests.md).

# Creating Tests

- [Using the Test Creator](https://docs.moropo.com/creating-tests/using-test-creator.md): Moropo Test Creator is a cloud-based editing tool for creating app test flows
- [Test Configuration](https://docs.moropo.com/creating-tests/test-configuration.md)
- [Test Step Commands](https://docs.moropo.com/creating-tests/commands.md): A list of Maestro commands available to use in the Moropo Test Creator
- [addMedia](https://docs.moropo.com/creating-tests/commands/addmedia.md)
- [assertNotVisible](https://docs.moropo.com/creating-tests/commands/assertnotvisible.md)
- [assertTrue](https://docs.moropo.com/creating-tests/commands/asserttrue.md)
- [assertVisible](https://docs.moropo.com/creating-tests/commands/assertvisible.md)
- [back (Android only)](https://docs.moropo.com/creating-tests/commands/back.md)
- [clearKeychain (iOS Only)](https://docs.moropo.com/creating-tests/commands/clearkeychain.md)
- [clearState](https://docs.moropo.com/creating-tests/commands/clearstate.md)
- [copyTextFrom](https://docs.moropo.com/creating-tests/commands/copytextfrom.md)
- [doubleTapOn](https://docs.moropo.com/creating-tests/commands/tapon.md)
- [eraseText](https://docs.moropo.com/creating-tests/commands/erasetext.md)
- [evalScript](https://docs.moropo.com/creating-tests/commands/evalscript.md)
- [extendedWaitUntil](https://docs.moropo.com/creating-tests/commands/extendedwaituntil.md)
- [hideKeyboard](https://docs.moropo.com/creating-tests/commands/hidekeyboard.md)
- [inputRandomEmail](https://docs.moropo.com/creating-tests/commands/inputrandomemail.md)
- [inputRandomNumber](https://docs.moropo.com/creating-tests/commands/inputrandomnumber.md)
- [inputRandomPersonName](https://docs.moropo.com/creating-tests/commands/inputrandompersonname.md)
- [inputRandomText](https://docs.moropo.com/creating-tests/commands/inputrandomtext.md)
- [inputText](https://docs.moropo.com/creating-tests/commands/inputtext.md)
- [launchApp](https://docs.moropo.com/creating-tests/commands/launchapp.md)
- [longPressOn](https://docs.moropo.com/creating-tests/commands/longpress.md)
- [openLink](https://docs.moropo.com/creating-tests/commands/openlink.md)
- [pasteText](https://docs.moropo.com/creating-tests/commands/pastetext.md)
- [pressKey](https://docs.moropo.com/creating-tests/commands/presskey.md)
- [repeat](https://docs.moropo.com/creating-tests/commands/repeat.md)
- [runFlow](https://docs.moropo.com/creating-tests/commands/runflow.md)
- [runScript](https://docs.moropo.com/creating-tests/commands/runflow-1.md)
- [scroll](https://docs.moropo.com/creating-tests/commands/scroll.md)
- [scrollUntilVisible](https://docs.moropo.com/creating-tests/commands/scrolluntilvisible.md)
- [setLocation](https://docs.moropo.com/creating-tests/commands/setlocation.md)
- [startRecording](https://docs.moropo.com/creating-tests/commands/startrecording.md)
- [stopApp](https://docs.moropo.com/creating-tests/commands/stopapp.md)
- [stopRecording](https://docs.moropo.com/creating-tests/commands/stoprecording.md)
- [swipe](https://docs.moropo.com/creating-tests/commands/swipe.md)
- [takeScreenshot](https://docs.moropo.com/creating-tests/commands/takescreenshot.md)
- [tapOn](https://docs.moropo.com/creating-tests/commands/tapon-1.md)
- [travel](https://docs.moropo.com/creating-tests/commands/travel.md)
- [waitForAnimationToEnd](https://docs.moropo.com/creating-tests/commands/waitforanimationtoend.md)
- [Test Step Selectors](https://docs.moropo.com/creating-tests/test-step-selectors.md)
- [Importing From Maestro](https://docs.moropo.com/creating-tests/importing-from-maestro.md): How to move your tests from Maestro Studio to Moropo
- [Environment Variables](https://docs.moropo.com/creating-tests/environment-variables.md)
- [${BUNDLEID}](https://docs.moropo.com/creating-tests/environment-variables/usd-bundleid.md)
- [${EXPORELEASECHANNEL}](https://docs.moropo.com/creating-tests/environment-variables/usd-exporeleasechannel.md)
- [Advanced Use Cases](https://docs.moropo.com/creating-tests/advanced-use-cases.md)
- [JavaScript](https://docs.moropo.com/creating-tests/advanced-use-cases/javascript.md)
- [Conditionals](https://docs.moropo.com/creating-tests/advanced-use-cases/conditionals.md)
- [Network Connection](https://docs.moropo.com/creating-tests/advanced-use-cases/network-connection.md)
- [Drag and Drop](https://docs.moropo.com/creating-tests/advanced-use-cases/drag-and-drop.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moropo.com/creating-tests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
